.page-section.newsletter {
    padding: 40px var(--side-spacing) 15px var(--side-spacing);
}

.page-section.newsletter.block-editor {
    padding-left: 0;
    padding-right: 0;
}

.page-section.newsletter :is(
    .page-section_title,
    .page-section_content
    ) {
    text-align: center;
}

.page-section.newsletter .page-section_title {
    color: var(--color-link);
    margin:0;
}

.page-section.newsletter .page-section_content {
    margin-top: 20px;
    margin-bottom: 30px;
}

.page-section.newsletter ::placeholder {
  text-align: center;
}

.page-section.newsletter :is(
    input[name="name"],
    input[name="mail"]
    ) {
    margin-bottom: 8px;
    height: 30px;
    padding: 0 14px;
    border: 1px solid var(--color-gray--bright);
    transition: border .3s ease;
    border-radius: 0;
}

.page-section.newsletter :is(
    input[name="name"],
    input[name="mail"]
    )::selection {
    color: var(--color-ongradient);
    background: var(--color-link);
}



.page-section.newsletter :is(
    input[name="name"],
    input[name="mail"]
    ):focus-visible {
    border: 1px solid var(--color-accent);
}


.page-section.newsletter label.acceptance {
    margin: 20px 0;
}

.page-section.newsletter input[type="submit"] {
    cursor: pointer;
}

@media all and (min-width: 992px) {
	.page-section.newsletter {
        padding-top: 75px;
        padding-bottom: 45px;
    }
    
    .page-section.newsletter ::placeholder {
      	text-align: initial;
    }
    
    .page-section.newsletter :is(
        .page-section_title,
        .page-section_content
        ) {
        text-align: unset;
    }
    
    .page-section.newsletter .page-section_content {
        margin-top: 30px;
        margin-bottom: 40px;
    }

    .page-section.newsletter :is(
        input[name="name"],
        input[name="mail"]
        ) {
        margin-bottom: 10px;
        height: 40px;
    	padding: 0 14px 0 20px;
    }
    
    .page-section.newsletter label.acceptance {
        margin: 0 20px 0 0;
    }
}


.newsletter.theme-dark {
    position: relative;
    padding-top: min(30%, 130px);
    padding-bottom: min(20%, 150px);
    margin-left: var(--side-spacing--neg);
    margin-right: var(--side-spacing--neg);
    overflow: hidden;
}

.newsletter.theme-dark > .mr-cont {
    padding-bottom: 50px;
    width: calc(100% - var(--side-spacing) * 2);
}

@media all and (min-width: 992px) {
    .newsletter.theme-dark {
        margin-bottom: -20px;
    }
    .newsletter.theme-dark > .mr-cont {
        padding-bottom: unset;
    }
}

.newsletter .form-message {
    outline: 1px dashed;
    margin-top: 10px;
    margin-bottom: 30px;
}

.newsletter .form-message :is(h5, p) {
    margin: 10px;
}

.newsletter.theme-dark .form-message {
    color: var(--color-ongradient);
}




.newsletter.theme-dark::before,
.newsletter.theme-dark::after {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    pointer-events: none;
}

.newsletter.theme-dark::before {
    content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='3532' height='109'%3E%3Cdefs%3E%3CclipPath id='a'%3E%3Cpath d='M0 0h3532v109H0z'/%3E%3C/clipPath%3E%3C/defs%3E%3Cg clip-path='url(%23a)'%3E%3Cpath d='M2717 83c-236-167-1111 54-1397-16-194-47-384-88-520-52C674 48 694 4 172 0h3356c-601 36-697 163-811 83z' fill='%23fff'/%3E%3C/g%3E%3C/svg%3E");
    top: 0;
}

.newsletter.theme-dark::after {
    content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='3532' height='544'%3E%3Cdefs/%3E%3Cdefs%3E%3CclipPath id='a'%3E%3Cpath d='M0 0h3532v544H0z'/%3E%3C/clipPath%3E%3C/defs%3E%3Cg clip-path='url(%23a)'%3E%3Cpath d='M751 524.3c56.2-4.7 119.3-25.4 173.4-35.3 326.8-59.8 1257.6-9 1468 1 133 6.3 252-24 338.4-55.7 175.7-64.8 351.2 100 776.2 110.3H518s176.7-15.6 233-20.3z' fill='%23fff'/%3E%3C/g%3E%3C/svg%3E");
    bottom: -5px;
}

@media all and (min-width: 1300px) {
    .newsletter.theme-dark::after {
        content: url("/wp-content/uploads/2021/05/newsletter_dol_b.svg");
    }
}


.newsletter.theme-dark ::selection {
	color: var(--color-link);
	background: var(--color-ongradient);
}


body:not(.using-mouse) .newsletter.theme-dark :focus-visible,
body:not(.using-mouse) .newsletter.theme-dark label.acceptance:focus-within {
    outline-color: var(--color-ongradient)!important;
}

.newsletter.theme-dark .mr-cont {
    position: relative;
    z-index: 0;
}

@media all and (min-width: 992px) {
	.newsletter.theme-dark .mr-cont {
        --custom-left-spacing: clamp(45px + var(--side-spacing), calc(100vw - var(--scrollbar-width) - 1197px - var(--side-spacing)), 164px);
        width: calc(1364px - var(--custom-left-spacing));
        max-width: calc(100% - var(--custom-left-spacing));
        padding-left: var(--custom-left-spacing);
    }
}

.newsletter.theme-dark .newsletter-wrapper {
	width: 575px;
    max-width: 100%;
    position: relative;
}

@media all and (min-width: 992px) {
    .newsletter.theme-dark .newsletter-wrapper::before {
        content:"";
        display:block;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: -37px;
        width: 2px;
        height: 300%;
        background: var(--color-ongradient);
    }

    .newsletter.theme-dark .page-section_title::before {
        content:"";
        display: block;
        position: absolute;
        top: 0.4em;
        left: -43px;
        width: 11px;
        height: 11px;
        border-radius: 20px;
        border: 2px solid var(--color-ongradient);
        background: var(--color-link);
    }
}


.newsletter.theme-dark :is(
	.page-section_title,
    .page-section_content,
    span.acceptance
) {
	color: var(--color-ongradient);
}

.newsletter.theme-dark span.acceptance::before {
	border-color: var(--color-ongradient);
}

.newsletter.theme-dark label.acceptance input[type="checkbox"]:checked + span.acceptance::before {
    background: var(--color-ongradient);
}

.newsletter.theme-dark label.acceptance input[type="checkbox"]:not(:checked):hover + span.acceptance::before {
    background: var(--color-ongradient);
    opacity: 0.5;
}



